html, body, p {
    margin: 0;
    padding: 0;
}

* {
    box-sizing: border-box;
    font-family: Verdana;
    font-size: 16px;
    font-weight: normal;
    text-decoration: none;
}

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

header {
    flex: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 30px;
    & > img {
        width: 75px;
        height: 75px;
    }
    & > h1 {
        margin-left: 15px;
        font-size: 200%;
        font-weight: bold;
    }
    & > nav {
        display: flex;
        flex-direction: row;
        flex-grow: 1;
        align-self: flex-start;
        justify-content: flex-end;
        & > a {
            width: 75px;
        }
    }
    & > .burger {
        display: none;
    }
}

main {
    display: flex;
    flex-direction: row;
    padding: 15px;
    & > article {
        display: flex;
        flex-direction: column;

        margin: 15px;
        width: 100%;

        border: solid black 2px;

        & > h2 {
            margin: 0;
            height: 50px;
            width: 50%;
            font-size: 1.5em;

            align-self: end;

            display: flex;
            justify-content: center;
            align-items: center;

            background: lightgray;
            border-style: solid;
            border-color: black;
            border-width: 0;
            border-bottom-width: 2px;
            border-left-width: 2px;
        }
        & > p {
            text-align: justify;
            padding: 15px;
        }
    }
}

footer {
    display: flex;
    flex-direction: column;
    height: 100px;
    background: lightgray;
    border-top: solid black 2px;
    align-items: center;
    justify-content: center;
    p + p {
        font-weight: bold;
    }
    flex-shrink: 0;
}

.content {
    flex: 1 0 auto;
}

@media all and (max-width: 900px) {
    main {
        flex-wrap: wrap;
    }
    header {
        justify-content: space-between;
        & > h1 {
            display: none;
        }
        & > nav {
            display: none;
        }
        & > .burger {
            width: 75px;
            height: 75px;

            display: flex;
            flex-direction: column;
            justify-content: space-between;

            padding: 15px;

            cursor: pointer;
            background: lightgray;
            border: solid black 4px;
            border-radius: 5px;
            &:hover {
                background: gray;
            }
        }
    }
}

header .burger .line {
    background: black;
    display: block;
    height: 4px;
    width: 100%;
    border-radius: 10px;
    background: #000;
}

